Create a calibration
1 min
POST
https://api.app.kognic.com/v2/calibrations
Body Parameters
- bodyCreateCalibrationrequired
- contentrequired
- externalIdstringrequired
- workspaceIdstring<uuid>requiredFormatuuid
Responses
200
- Enveloped_CalibrationCreated
- dataCalibrationCreatedrequired
- idstring<uuid>requiredFormatuuid
400
- BadRequest
- errorCodestring
- messagestringrequired
401
- Unauthorized
- messagestringrequired
403
- Forbidden
- messagestringrequired
413
- PayloadTooLarge
- messagestringrequired
python
import requests
import json
url = "https://api.app.kognic.com/v2/calibrations"
payload = json.dumps({
"content": "",
"externalId": "",
"workspaceId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
{
"data": {
"id": ""
}
}400
// Bad request
{
"errorCode": "",
"message": ""
}401
// Unauthorized
{
"message": ""
}403
// Forbidden
{
"message": ""
}413
// Payload too large
{
"message": ""
}